---
language: python
services: docker

env:
  global:
    - ROLE_NAME: slurm
  matrix:
    - MOLECULE_DISTRO: centos:7
    - MOLECULE_DISTRO: centos:6

install:
  # FIXME molecule problem with 2.8 version
  - pip install "ansible==2.7.11"
  # Install test dependencies.
  - pip install molecule docker

before_script:
  # Use actual Ansible Galaxy role name for the project directory.
  - cd ..
  - mv ansible-role-$ROLE_NAME hephyvienna.$ROLE_NAME
  - cd hephyvienna.$ROLE_NAME

script:
  # Run tests.
  - molecule test

notifications:
  webhooks: https://galaxy.ansible.com/api/v1/notifications/
  # slack:
  #   on_success: change # default: always
  #   on_failure: always # default: always
